<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/9/4
 * Time: 9:36 AM
 */

namespace App\Servers\Weikemu\Models;

use App\Maps\CacheMap;

trait CacheLogTraitModel
{
    public function cacheLog($box_no, $message_id, $data)
    {
        $value = '';
        if (is_array($data)) {
            $value = "array||" . json_encode($data);
        } elseif (is_bool($data)) {
            $value = "bool||" . ($data ? 1 : 0);
        } else {
            $value = "string||" . $data;
        }

        $this->redis->setex(CacheMap::cache_key . ':' . $box_no . ':' . $message_id, 1 * 60, $value);
    }

    public function getCache($message_id)
    {
        $val = $this->redis->get(CacheMap::cache_key . ':' . $message_id);
        $array = explode(' || ', $val);
        if (count($array) !== 2) return false;
        list($type, $data) = $array;
        switch ($type) {
            case 'string':
                return $data;
                break;
            case 'bool':
                return (boolean)$data;
                break;
            case 'array':
                return json_decode($data);
        }
        return false;
    }
}
